image: "maven:latest"
compile :
    stage: build
    script:
        - mvn compile      
stages:
    - build
    - packaging
    - deployment
package:
    stage: packaging
    script:
        - mvn package
    artifacts:
        paths:
            - target/mvn-hello-1.0-SNAPSHOT.jar           
deploy:
    stage: deployment
    script:
        - "java -cp target/mvn-hello-1.0-SNAPSHOT.jar com.mycompany.helloworld.Main"